# -*- rpm-spec -*-
# $Id: alicq.spec,v 1.26 2003/12/04 13:00:57 grigory Exp $

Name: alicq
Version: 0.8.6
Release: alt4

Summary: alicq - Flexible ICQ client in pure Tcl/Tk
License: GPL
Group: Networking/Instant messaging
URL: http://alicq.sourceforge.net/

BuildArch: noarch
Source0: %name-%version.tar.bz2

Requires: bwidget tk >= 8.3
Requires: tcl-icq
BuildRequires: rpm-build >= 4.0.4

%description
   Alicq is pure Tcl/Tk implementation of ICQ client with flexible
modularized architecture, support for ICQv8 (ICQ2000/OSCAR) protocol,
and ability to pick up Licq configuration files and user database.

Why would you use it? It is small, about 2500 lines as of release
0.6. It is modular and extendable in best tradition of the Tcl
scripting language. New modules are easy to write, and dozen lines
Tcl module can do a lot. It is crossplatfrom: works on Unix, Windows,
Macintosh, and on any other system supported by Tcl/Tk.


%package -n tcl-icq
Summary: This library gives ability to use ICQ v8 protocol (OSCAR) in tcl programs
Group: Development/Tcl

%description -n tcl-icq
Protocol description and some ideas in implementattion were taken from
ICQ2000.pm and ICQ2000_Easy.pm perl modules by
Robin Fisher <robin@phase3solutions.com> and vICQ program by
Alexander Timoshenko

%prep
%setup -q -c

%build

%install 
%__mkdir_p %buildroot{%_tcldatadir/{%name,icq},%_datadir/%name,%_bindir,%_menudir,%_miconsdir,%_man1dir,%_mandir/mann/}
%__install %name %buildroot%_bindir
%__cp -r icq/*.tcl %buildroot%_tcldatadir/icq/
%__cp -r lib/*.tcl %buildroot%_tcldatadir/%name/
%__cp -r data/{ico,icons,messages,modules,sounds} %buildroot%_datadir/%name/
%__cp doc/%name.1 %buildroot%_man1dir
%__cp icq/doc/*.n %buildroot%_mandir/mann/

# menu stuff JONS GTK
%__mkdir_p %buildroot%_menudir
%__cat > %buildroot%_menudir/%name <<EOF
    ?package(alicq):\
    command="alicq"\
    icon="alicq.xpm"\
    title="Alicq"\
    longtitle="tcl/tk ICQ client"\
    needs="x11"\
    section="Networking/Instant messaging"
EOF
%__install -p -m 0644 %name.xpm %buildroot%_miconsdir/%name.xpm

%files
%doc doc/{CHANGELOG,INSTALL,README,TODO,alicqrc.example}
%dir %_tcldatadir/%name
%dir %_datadir/%name
%_bindir/*
%_tcldatadir/%name/*
%_datadir/%name/*
%_menudir/%name
%_miconsdir/%name.xpm
%_man1dir/*

%files -n tcl-icq
%doc icq/doc/examples/* icq/doc/CHANGELOG
%dir %_tcldatadir/icq
%_tcldatadir/icq/*
%_mandir/mann/*

%changelog
* Thu Dec  4 2003 Grigory Milev <week@altlinux.ru> 0.8.6-alt4
- new prerelease version 0.8.6-17
- Cd into base directory to make modules life easier.
- Server-side roster support
- Some fixes for service-sie roster support, still incomplete.

* Thu Nov 13 2003 Grigory Milev <week@altlinux.ru> 0.8.6-alt3
- new prerelease version 0.8.6-14 released

* Wed Nov  5 2003 Grigory Milev <week@altlinux.ru> 0.8.6-alt2
- new version released

* Tue Sep 16 2003 Grigory Milev <week@altlinux.ru> 0.8.6-alt1
- new version released
- icq libs moved to separated package and may use with out alicq

* Wed Jul  9 2003 Grigory Milev <week@altlinux.ru> 0.8.5-alt8
- modules/tray.tcl: statup popup in tray module on right click
- modules/: autooffline.tcl, geometry.tcl: autooffline module added

* Wed May 14 2003 Ihar Viarheichyk <iverg@optifacio.com> 0.8.5-alt7
- Fix for GAIM compatibility

* Tue Apr  8 2003 Grigory Milev <week@altlinux.ru> 0.8.4-alt3
- cvs snapshot (fixed some bugs with contacts)

* Fri Apr  4 2003 Grigory Milev <week@altlinux.ru> 0.8.4-alt2
- added Xmenu

* Fri Apr 04 2003 Ihar Viarheichyk <iverg@optifacio.com> 0.8.4-alt1
- New version 0.8.4, which includes all changes since 0.8.3-3
- Added saving of proportions in splitted message windows
- Silent "unknonwn host" error handling

* Thu Mar 20 2003 Ihar Viarheichyk <iverg@optifacio.com> 0.8.3-alt4
- Fixed minor bug when sending empty contact list to server
- Fixed bug in protocol error handling

* Thu Mar 20 2003 Ihar Viarheichyk <iverg@optifacio.com> 0.8.3-alt2
- Fixed bug with encoding in history

* Thu Mar 20 2003 Ihar Viarheichyk <iverg@optifacio.com> 0.8.3-alt1
- This release intended to test new unicode support and protocol
  handling code cleanup.
- Implicit unicode usage when sending messages to unicode-capable 
  clinets.
- Great ICQ protocol handling library code cleanup.
- Fixed bug with losing messages from Miranda IM.
- Automatical recovery from protocol handling errors.
- Automated (not automatical) sendin bug reports to author.
- Key and mouse binding replaced with bindings to virtual events 
  for better customization
- Geometry module reworked to store windows geomery in Xdefaults format
- Added sending keepalive packets (option -keepalive)
- Sending pings to detect network problems added
- Fixed small bug when whitepages info showed UIN and status of 
  local user, not remote one.
- Fixed reconnect when used proxy - more automatic and reliable now.
- Fixed bug when grouping rule was not saved to startup file on exit.

* Fri Jan 31 2003 Ihar Viarheichyk <iverg@optifacio.com> 0.8.2-alt1
- Fixes for starange selection handling in some versions of BWidget
- New resource timeFormat added to allow configure format of time displayed
  in message and history windows
- Small fixes in UI: pack changed to grid in some windows.  
- Some code cleanup  

* Mon Jan 27 2003 Ihar Viarheichyk <iverg@optifacio.com> 0.8.1-alt7
- Fix for BWidget bug with selection on removed node
- Pack method changed to grid method in main window

* Fri Jan 24 2003 Ihar Viarheichyk <iverg@optifacio.com> 0.8.1-alt6
- Grouping and sorting subsystems in tree.tcl reworked
- Fixed bug when 'Node already exists' error appears sometimes when contact
  changes status
- Separate sorting rules for groups and contacts  

* Tue Nov 12 2002 Ihar Viarheichyk <iverg@mail.ru> 0.8.0-alt3
- Baloons, remote client discovery

* Fri Nov  8 2002 Grigory Milev <week@altlinux.ru> 0.8.0-alt1
- new version released

* Wed Nov  6 2002 Ihar Viarheichyk <iverg@mail.ru> 0.7.9-alt5
 - Stable release 

* Thu Oct 31 2002 Ihar Viarheichyk <iverg@mail.ru> 0.7.9-alt5
 - Configurator added. Now most important Alicq parameters can be 
   configured in configurator window.
 - Repair package for converting config file to new format on-the-fly. Can
   also be used for automatical repairing of damaged config in future 
 - Fix in proxy code
 - Fixed bug when selection is on deleted node in main tree
 - Check added for selectiong needed version of BWidget
 - Candidate for upstream release 0.8
 - Firmat of startup file changed
 - New modules infrastructure, based on properties and metadata allows create
   independant modules easier, and add new transports
 - Almost all modules rewritten according to new modules creation rules  
 - Dynamic menu, allowing new items addition without restart
 - Alicq now can save changes in startup file
 - Support of subgroups (groups can include other groups)
 - Membership in several groups
 - Multicast messages to groups
 - Alicq saves state of groups on exit (open or closed)
 - Transport encoding can be specified for each contact besides global one
 - Setup wizard added
 
* Wed Jul 17 2002 Grigory Milev <week@altlinux.ru> 0.6.5-alt4
- added requires
- move icq libs to alicq share dir

* Wed Jul 17 2002 Grigory Milev <week@altlinux.ru> 0.6.5-alt3
- added requires

* Wed Jul 17 2002 Grigory Milev <week@altlinux.ru> 0.6.5-alt2
- changed libs and shares path

* Fri Jun  7 2002 Grigory Milev <week@altlinux.ru> 0.6.5-alt1
- bugs fixes
- new modules

* Thu Apr 18 2002 Grigory Milev <week@altlinux.ru> 0.6.1-alt1
- new version released

* Tue Apr  2 2002 Grigory Milev <week@altlinux.ru> 0.6-alt2
- new cvs snapshot 02.04.2002

* Fri Mar 15 2002 Grigory Milev <week@altlinux.ru> 0.6-alt1
- new version released

* Wed Feb 20 2002 Grigory Milev <week@altlinux.ru> 0.5-alt2
- fix requires
- many bugfixses in alicq (0.6 pre version)

* Thu Feb  7 2002 Grigory Milev <week@altlinux.ru> 0.5-alt1
- Initial build for ALT Linux distribution.
